<div id="alert-penetapan"></div>
#{form @nonlelang.EvaluasiPlCtr.submit_penetapan(pl.lls_id), id:'formPenetapanPemenang'}
<input type="hidden" id="allowfailedchekblacklist" value="0"/>
<table class="table table-sm">
    <tr>
        <th width="10">No</th>
        <th>&{'evaluasi.peserta'}</th>
        <th>&{'evaluasi.harga_penawaran'}</th>
        <th>&{'evaluasi.harga_terkoreksi'}</th>
        <th width="160" >&{'evaluasi.harga_negosiasi'}</th>
        <th width="20">&{'evaluasi.ururtan'}</th>
    </tr>
    #{if editable}
        #{alert /}
        #{list items:pesertaList, as:'pesertaItem'}
            #{set i : pesertaItem_index - 1 /}
            <tr>
                <td align="center">${pesertaItem_index}<input type="hidden" name="nilai[${i}]" value="${pesertaItem.nev_id}"/></td>
                <td>${pesertaItem?.peserta.namaPeserta}
                <td>${pesertaItem?.nev_harga?.rupiah()}</td>
                <td>${pesertaItem?.nev_harga_terkoreksi?.rupiah()}</td>
                    <div  id="div-alasan${i}" style="display:none" >
                        Alasan gagal: <textarea name="alasan[]" class="form-control" ></textarea>
                    </div>
                </td>
                <td>
                    <input type="text" name="harga[${i}]" class="form-control money" value="${pesertaItem.hargaFinal()?.formatDouble()}" #{if !allowPenetapan} disabled="disabled" #{/if}/>
                </td>
                <td align="center">
                    <input type="number" min="1" name="urutan[${i}]" style="width:70px;" value="${pesertaItem?.nev_urutan}" class="form-control" onkeypress="return isNumberKey(event)" #{if !allowPenetapan} disabled="disabled" #{/if}/></td>
            </tr>


        #{/list}
    #{/if}
    #{else}
        #{list items:pesertaList, as:'pesertaItem'}
            #{set i : pesertaItem_index - 1 /}
            <tr>
                <td align="center">${pesertaItem_index}</td>
                <td>${pesertaItem?.peserta?.namaPeserta}

                    #{if pesertaItem?.peserta?.psr_alasan_menang}
                        <br>Alasan Gagal  : ${pesertaItem?.peserta?.psr_alasan_menang}
                    #{/if}
                </td>
                <td>${pesertaItem?.nev_harga?.rupiah()}</td>
                <td>${pesertaItem?.nev_harga_terkoreksi?.rupiah()}</td>
                #{if showHargaNego}<td>#{if allowPenetapan} ${pesertaItem?.nev_harga_negosiasi?.rupiah()} disabled="disabled" #{/if}</td>#{/if}
                <td align="center">${pesertaItem?.nev_urutan} </td>
            </tr>
        #{/list}
    #{/else}
</table>


    #{if allowPenetapan}
    <button type="submit" name="submit" class="btn btn-success  " id="submit">
        <i class="fa fa-save"></i> Submit</button>&nbsp;
    #{/if}

<div class="bs-callout bs-callout-info">
    &{'evaluasi.peserta_pemenang'}
</div>
#{/form}

#{if editable}
<div class="alert alert-danger" role="alert" id="blacklisted">
    <p><h5><strong><i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
    &{'evaluasi.tidak_dapat_menentukan_pemenang'}</h5>
    &{'evaluasi.info_lanjut'}</p>
</div>

<div class="alert alert-danger" role="alert" id="confirmation">
    <p><h5><strong><i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
    &{'evaluasi.tidak_dpt_memeriksa'}</strong></h5>
    &{'evaluasi.pastikan_manual'}
    <br/><br/>&{'evaluasi.lanjutkan_penetapa'}</p>
    <br/>
    <button class="btn btn-success" id="yes-confirm">Ya</button>&nbsp;<button class="btn btn-secondary" id="no-confirm">Tidak</button>
</div>

<div class="alert alert-warning" role="alert" id="load">
    <p><h5><strong><i class="fa fa-history" aria-hidden="true"></i>
    &{'evaluasi.mohon_tunggu'}</strong></h5></p>
</div>
#{/if}

<script type="text/javascript" src="#{assets '/js/form.util.js'/}"></script>
<script type="text/javascript" src="#{assets '/js/autoNumeric.min.js'/}"></script>
<script type="text/javascript">
    $(document).ready(function() {
        if($('.money').length > 0) {
            new AutoNumeric.multiple('.money', {digitGroupSeparator: '.', decimalCharacter: ','});
        }
        $("#load").hide();
        $('#blacklisted').hide();
        $('#confirmation').hide();

        $('#no-confirm').click(function() {
            $('#confirmation').hide();
            $('button[name="submit"]').show();
            return false;
        });

        $('#yes-confirm').click(function() {
            //allow failed check blacklist
            $('#allowfailedchekblacklist').val('1');
            $('#formPenetapanPemenang').submit();
        });

        $('input[type=radio][name=radio]').change(function() {
            var mx = ${i == null? 0:i};
            if(this.id>0){
                for(var i=0;i<this.id;i++){
                    $('#div-alasan'+i).show();

                }

            }
            for(var i=this.id;i<mx;i++){
                $('#div-alasan'+i).hide();

            }

        });
    });

    function checkAlasan(){
        var alasan = $("#alasan").val();
        if (alasan == '') {
            alert("Alasan wajib diisi");
            return false;
        }

    }

    var mx = ${i = i==null? 0:i};

    $('button[name="submit"]').click(function() {
        var allowFailedcheck = $('#allowfailedchekblacklist').val();
        var valid = true;
	    var nonInt = false;
	    var invalidOrdering = false;
	    var darr = new Array();
	    var arrdup = new Array();
	    for (var x = 0; x <= mx; x++) {
		    var v = $('input[name="urutan[' + x + ']"]').val();
		    if (v != "" && parseInt(v, 10) && v > 0) {
			    darr.push(parseInt(v, 10));
			    if (isDuplicate(darr)) {
				    arrdup = cekDuplicate(darr);
				    valid = false;
				    break;
			    }
		    } else {
			    nonInt = true;
			    valid = false;
			    break;
		    }
	    }

	    if (valid && darr.length > 0) {
		    // check missing number, karena harus berurut, ex : 1,2,3 or 2,1,3 and not 1,2,4
		    var missing = new Array();
		    for (var i = 1; i <= darr.length; i++) {
			    if (!contains.call(darr, i)) {
				    missing.push(i);
			    }
		    }
		    if (missing.length > 0) {
			    invalidOrdering = true;
			    valid = false
		    }
	    }

	    if (valid == false) {
		    var msg = ""
		    if (arrdup.length > 0) {
			    msg += "nomer urut tidak valid, ditemukan angka duplikat : " + arrdup;
		    }
		    if (nonInt == true) {
			    if (arrdup.length > 0) {
				    msg += " dan ";
			    }
			    msg += "Ditemukan huruf bukan integer"
		    }
		    if (invalidOrdering) {
			    msg += "Urutan boleh acak namun tidak boleh lompat! \n\nContoh urutan yang benar : 1, 2, 3 atau 2, 1, 3 \nContoh urutan yang salah :  1, 2, 4";
		    }
		    //not valid
		    alert(msg);
	    }

        for (var x = 0; x <= mx; x++) {
            var v = $('input[name="urutan[' + x + ']"]').val();
            if (v == 1) {
                var nevId = $('input[name="nilai[' + x + ']"]').val();
                var blacklistUrl = #{jsRoute @nonlelang.EvaluasiPlCtr.pengecekanBlacklist(':nevId') /};
                $('button[name="simpan"]').hide();
                $('#load').show();
                $.ajax({
                    type: 'POST',
                    async: false,
                    url: blacklistUrl.url({nevId: nevId}),

                    success: function (data) {
                        if (data == 2) {
                            if (allowFailedcheck == '0') {
                                valid = false;
                                $('#confirmation').show();
                            } else {
                            }
                        }else if(data==1){
                            valid=false;
                            $('#blacklisted').show();
                        } else {
                            $('button[name="simpan"]').show();
                        }
                        $('#load').hide();
                    },

                    error: function () {
                        $('#load').hide();
                        $('button[name="simpan"]').show();
                        alert('error');
                    }
                })

                break;
            }
        }


        if(valid==true)
            $('#formPenetapanPemenang').submit();
        else
            return false;

    });
</script>

